<!doctype html>
<html
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        layout:decorator="layouts/cms">
<head>
</head>
<body>
<th:block layout:fragment="sidebar" th:include="fragments/cms::sidebar('challenge')"/>
<th:block layout:fragment="navigation"
          th:include="fragments/cms::navigation('Challenges')"/>

<div layout:fragment="content" class="content challenge-review">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-4">
                <div class="card card-plain">
                    <div class="content table-responsive table-full-width">

                        <th:block th:include="fragments/cms::notification(${status}, '/cms/challenge')"/>
                        <form method="post" th:action="@{/cms/challenge/{id}(id=${item.id}) }">

                            <input type="hidden"
                                   name="quiz_id"
                                   th:if="${quiz != nul}"
                                   th:value="${quiz?.id}"/>

                            <div class="form-group">
                                <video width="90%" controls="true">
                                    <source th:src="${video.path}" th:type="${video.mimeType}"/>
                                    Your browser does not support the video tag.
                                </video>
                            </div>

                            <div class="form-group">
                                <label>Score*</label>
                                <select class="form-control" name="score">
                                    <option value=""></option>
                                    <option th:each="point: ${score}"
                                            th:value="${point}"
                                            th:text="${point}"
                                            th:selected="${point == item.score}"></option>
                                </select>
                            </div>

                            <button type="submit" class="btn btn-info btn-fill pull-right">Save</button>
                            <a href="/cms/challenge" type="submit" class="btn btn-fill pull-left">Cancel</a>

                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-4 details">
                <div>
                    <h4>Skill</h4>
                    <p th:text="#{${'skill.' + item.course.skill.code.toLowerCase()}}"></p>
                </div>
                <div>
                    <h4>User</h4>
                    <table>
                        <tr><th>Name</th><td th:text="${item.user.profile.fullName}"></td></tr>
                        <tr><th>Height</th><td th:text="${userData?.growth}"></td></tr>
                        <tr><th>Weight</th><td th:text="${userData?.weight}"></td></tr>
                        <tr><th>Age</th><td th:text="${userData?.age}"></td></tr>
                    </table>
                </div>
            </div>
        </div>
    </div>


</div>


</body>
</html>
